Package org.apache.commons.compress.archivers.zip

# Interface UnixStat

All Known Implementing Classes:
  `AsiExtraField`

public interface UnixStat
Constants from stat.h on UNIX systems.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_DIR_PERM`
  Default permissions for directories.
  `static final int`
  `DEFAULT_FILE_PERM`
  Default permissions for plain files.
  `static final int`
  `DEFAULT_LINK_PERM`
  Default permissions for symbolic links.
  `static final int`
  `DIR_FLAG`
  Indicates directories.
  `static final int`
  `FILE_FLAG`
  Indicates plain files.
  `static final int`
  `FILE_TYPE_FLAG`
  Bits used to indicate the file system object type.
  `static final int`
  `LINK_FLAG`
  Indicates symbolic links.
  `static final int`
  `PERM_MASK`
  Bits used for permissions (and sticky bit)

- ## Field Details

  - ### PERM_MASK

    static final int PERM_MASK
    Bits used for permissions (and sticky bit)
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_FLAG

    static final int FILE_TYPE_FLAG
    Bits used to indicate the file system object type.
    Since:
      1.14
    See Also:
      - Constant Field Values

  - ### LINK_FLAG

    static final int LINK_FLAG
    Indicates symbolic links.
    See Also:
      - Constant Field Values

  - ### FILE_FLAG

    static final int FILE_FLAG
    Indicates plain files.
    See Also:
      - Constant Field Values

  - ### DIR_FLAG

    static final int DIR_FLAG
    Indicates directories.
    See Also:
      - Constant Field Values

  - ### DEFAULT_LINK_PERM

    static final int DEFAULT_LINK_PERM
    Default permissions for symbolic links.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DIR_PERM

    static final int DEFAULT_DIR_PERM
    Default permissions for directories.
    See Also:
      - Constant Field Values

  - ### DEFAULT_FILE_PERM

    static final int DEFAULT_FILE_PERM
    Default permissions for plain files.
    See Also:
      - Constant Field Values